unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, MStatusBar, Animate, ExtCtrls;

type
  TForm1 = class(TForm)
    MyStatusBar1: TMyStatusBar;
    flag: TAnimatedImage;
    LangTimer: TTimer;
    procedure LangTimerTimer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    procedure LangChange(var m:TMsg;var Handled: Boolean);    
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
Const
Ukrainian='00000422';
Russian  ='00000419';
English  ='00000409';
German   ='00000407';
Spanish  ='00000403';
polish   ='00000415';
Romainan ='00000418';
French   ='0000040C';

implementation
Procedure ChangeLanguage(Language:String);
var
LangName : array[0..KL_NAMELENGTH] of Char;
begin
 StrCopy(LangName,pchar(Language));
 LoadKeyboardLayout(LangName,KLF_ACTIVATE);
end;

{$R *.dfm}
procedure Tform1.LangChange(var m:TMsg;var Handled: Boolean);
begin
  if (m.message=WM_INPUTLANGCHANGEREQUEST)or
  (m.message=WM_INPUTLANGCHANGE)
  then
    Begin
    langtimer.enabled:=true;
    end;
end;

procedure TForm1.LangTimerTimer(Sender: TObject);
var  szBuf : array[0..KL_NAMELENGTH] of Char;
begin
      GetKeyboardLayoutName( @(szBuf[0]) );
      if string(szbuf)='00000409'then begin
                                        flag.Glyphnum:=2;
                                        flag.Hint:=': ';
                                      end
      else
        if string(szbuf)='00000419'then Begin
                                          flag.Glyphnum:=1;
                                          flag.Hint:=': ';
                                        end
      else
        if string(szbuf)='00000422'then Begin
                                          flag.Glyphnum:=0;
                                          flag.Hint:=': ';
                                        end
      else
        Begin
          flag.Glyphnum:=3;
          flag.Hint:='  :(';
        end;
      langtimer.Enabled:=false;


end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  application.OnMessage:=LangChange;
  changelanguage(Russian);
end;

end.
